using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SoundBoard
{
    public partial class programDebugConsole : Form
    {
        public programDebugConsole()
        {
            InitializeComponent();
        }

        private void programDebugConsole_Load(object sender, EventArgs e)
        {
            //Create and event handler to detect for form resize
            this.Resize += ProgramDebugConsole_Resize;
            listViewLog.Items.Add("SoundBoard Beta v1.5.0.0, with MP3 support.");
        }

        private void ProgramDebugConsole_Resize(object sender, EventArgs e)
        {
            listViewLog.Height = this.Height;
            listViewLog.Width = this.Width;
        }

        public void WriteToConsole(string message)
        {
            listViewLog.Items.Add(message);
        }

        private void mainDebugMenuFileClearLog_Click(object sender, EventArgs e)
        {
            listViewLog.Items.Clear();
            listViewLog.Items.Add("SoundBoard Beta v1.5.0.0, with MP3 support.");
        }

        public void ShowConsole()
        {
            this.Show();
        }

        public void HideConsole()
        {
            this.Hide();
        }
    }
}
